'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.setKeyGenerator = exports.default = undefined;

var _uniqueId = require('lodash/uniqueId');

var _uniqueId2 = _interopRequireDefault(_uniqueId);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Default the generator function to Lodash's implementation, which just returns
 * incrementing numbers as strings.
 *
 * @type {Function}
 */

var generate = _uniqueId2.default;

/**
 * Create a key.
 *
 * @return {String}
 */

function generateKey() {
  return generate();
}

/**
 * Set a different unique ID generating `function`.
 *
 * @param {Function} func
 */

function setKeyGenerator(func) {
  generate = func;
}

/**
 * Export.
 *
 * @type {Object}
 */

exports.default = generateKey;
exports.setKeyGenerator = setKeyGenerator;